Template Numerical Library: TNL::Algorithms::Segments::BiEllpackSegmentView< Index, Organization, WarpSize > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Algorithms::Segments::BiEllpackSegmentView< Index, Organization, WarpSize > Class Template Reference
Collaboration diagram for TNL::Algorithms::Segments::BiEllpackSegmentView< Index, Organization, WarpSize >:
[legend]

## Public Types
using | GroupsWidthType = Containers::StaticVector< getGroupsCount(), IndexType >
using | IndexType = Index

## Public Member Functions
__cuda_callable__ | BiEllpackSegmentView (BiEllpackSegmentView &&) noexcept=default
__cuda_callable__ | BiEllpackSegmentView (const BiEllpackSegmentView &)=default
__cuda_callable__ | BiEllpackSegmentView (IndexType segmentIdx, IndexType offset, IndexType inStripIdx, const GroupsWidthType &groupsWidth)
| Constructor.
__cuda_callable__ IndexType | getGlobalIndex (IndexType localIdx) const
__cuda_callable__ IndexType | getSegmentIndex () const
__cuda_callable__ IndexType | getSize () const
__cuda_callable__ BiEllpackSegmentView & | operator= (BiEllpackSegmentView &&) noexcept=default
__cuda_callable__ BiEllpackSegmentView & | operator= (const BiEllpackSegmentView &)=default

## Static Public Member Functions
static constexpr int | getGroupsCount ()
static constexpr int | getLogWarpSize ()
static constexpr int | getWarpSize ()

## Protected Attributes
IndexType | groupOffset
GroupsWidthType | groupsWidth
IndexType | inStripIdx
IndexType | segmentIdx
IndexType | segmentSize

## Constructor & Destructor Documentation

## ◆ BiEllpackSegmentView()

template<typename Index, ElementsOrganization Organization, int WarpSize = 32>

__cuda_callable__ TNL::Algorithms::Segments::BiEllpackSegmentView< Index, Organization, WarpSize >::BiEllpackSegmentView | ( | IndexType | segmentIdx,
|  | IndexType | offset,
|  | IndexType | inStripIdx,
|  | const GroupsWidthType & | groupsWidth )
| inline

Constructor.

Parameters

  segmentIdx | is the segment index.
  offset | is offset of the first group of the strip the segment belongs to.
  inStripIdx | is index of the segment within its strip.
  groupsWidth | is a static vector containing widths of the strip groups.

The documentation for this class was generated from the following file:

- src/TNL/Algorithms/Segments/BiEllpackSegmentView.h